// SPDX-FileCopyrightText: 2024 Yury Gubich <blue@macaw.me>
// SPDX-License-Identifier: GPL-3.0-or-later

#pragma once

#include <string_view>

#include <gloox/gloox.h>

#include <boost/log/trivial.hpp>

namespace Log {
enum class Level {
    trace,
    debug,
    info,
    warning,
    error,
    fatal
};

gloox::LogLevel convertGloox(Level level);
Level convertGloox(gloox::LogLevel level);

boost::log::trivial::severity_level convertBoost(Level level);
Level convertBoost(boost::log::trivial::severity_level level);

std::string_view levelColor(Level level);

}