// SPDX-FileCopyrightText: 2024 Yury Gubich <blue@macaw.me>
// SPDX-License-Identifier: GPL-3.0-or-later

#include "loggable.h"

Log::Loggable::Loggable(const Logger& _logger, const std::vector<std::string>& _domain) :
    logger(_logger),
    domain(_domain)
{}

void Log::Loggable::trace(const std::string& message) const {
    logger.log(Level::trace, message, domain);
}

void Log::Loggable::debug(const std::string& message) const {
    logger.log(Level::debug, message, domain);
}

void Log::Loggable::info(const std::string& message) const {
    logger.log(Level::info, message, domain);
}

void Log::Loggable::warn(const std::string& message) const {
    logger.log(Level::warning, message, domain);
}

void Log::Loggable::error(const std::string& message) const {
    logger.log(Level::error, message, domain);
}

void Log::Loggable::fatal(const std::string& message) const {
    logger.log(Level::fatal, message, domain);
}
